Subject: bug#56332: 29.0.50; Large gnus imap groups; articles incorrectly marked as read (old)

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 03 Jul 2022 12:59:31 +0200

Michael Welsh Duggan <[email-masked]> writes:

>> I will also note that, though the fetch data responses are not in order,
>> the fetch completion messages are in order.  Though I'm not certain they
>> have to be.  Here's some data from the Internet, though I can't find
>> anything in the standard that seems to either confirm or refute this
>> data:
>>
>> https://stackoverflow.com/questions/26034086/does-imap-guarantee-that-servers-send-responses-in-order
>>
>> Wouldn't another solution be to sort the results by UID?  They are being
>> requested in UID order, after all.
>
> You should probably read this section of the RFC, especially the
> "Note:".
>
> https://datatracker.ietf.org/doc/html/rfc3501#section-5.5

Reading that, I'm not sure whether the completion messages are
guaranteed to be in order, either, so I've now changed the code to avoid
streaming altogether.  Can you check whether that fixes the problem?

(If the completion messages are guaranteed to be in order, we could
change it back to using streaming and then just reorder the results, as
you suggest, but I'm not sure it's worth it even if it is guaranteed.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no